# 32/64 spec
#
%define name   openshot
%define version 1.4.3
%define release %mkrel 7

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Non-linear video editor
Group:		Video
License:	GPLv3+
URL:		http://www.openshotvideo.com/
Source0:	%{name}-%{version}.tar.xz
#Patch0:         %{name}-1.4.3-frei0r-plugin.patch
Patch1:         %{name}-1.4.3-help.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires: 	x264
Requires: 	ffmpeg
Requires: 	pyxdg
Requires: 	pygtk2.0
Requires: 	pygtk2.0-libglade
Requires: 	python-pygoocanvas
Requires:	python-httplib2
Requires:	python-imaging
Requires: 	%{_lib}mlt6
Requires:	%{_lib}rsvg2_2
Requires:	%{_lib}mlt++3
Requires:	mlt >= 0.9.0
Requires:	python-mlt >= 0.9
Requires: 	frei0r-plugins
Requires: 	sox
BuildRequires:  desktop-file-utils


%description
OpenShot Video Editor is an open-source program that creates, modifies, and edits video files.

#german
%description -l de
OpenShot Video Editor ist ein Open Source Programm zum erstellen, modifizieren und bearbeiten
von Videodateien.

%description -l pl
OpenShot to jeden z najlepszych dostępnych edytorów wideo dla Linuksa. Openshot nie ma sobie
równych pod względem prostoty oraz możliwości. Mnóstwo efektów (np. woda, rozmazanie, efekty
przejścia/wzejścia itd.) oraz przejrzystość narzędzi sprawiają, iż program w krótkim czasie stał się
bardzo popularny.


%prep
%setup0 -q
%apply_patches

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}

cp -rp bin/%{name} %{buildroot}%{_bindir}
cp -rp %{name}/* %{buildroot}%{_datadir}/%{name}

# XDG application icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -rp xdg/%{name}.svg %{buildroot}%{_datadir}/pixmaps

# XDG desktop mime types cache
mkdir -p %{buildroot}%{_datadir}/mime/packages
cp -rp xdg/%{name}.xml %{buildroot}%{_datadir}/mime/packages

# man-page ("man 1 openshot")
mkdir -p %{buildroot}%{_mandir}/man1
cp -rp docs/%{name}.1 %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 xdg/openshot.desktop %{buildroot}%{_datadir}/applications

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --add-category="AudioVideoEditing" \
  --add-category="Video" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*.desktop


%post
update-desktop-database

%postun
update-desktop-database

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.svg
%{_mandir}/man1/*.1.bz2

%changelog
* Sat Aug 31 2013 pinoc <vogtpet at gmail.com> 1.4.3-7pclos2013
- rebuild against new mlt6

* Thu Aug 29 2013 billybot <billybot> 1.4.3-6pclos2013
- rebuild python 2.7
  
* Sat Apr 27 2013 Texstar <texstar at gmail.com> 1.4.3-5pclos2013
- revert to previous package

* Sun Nov 18 2012 Neal <nealbrks0 at gmail dot com> 1.4.3-3pclos2012
- rebuild

* Mon Nov 12 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.4.3-2_archie_2012
- rebuild for mlt5

* Sun Oct 07 2012 Neal <nealbrks0 at gmail dot com> 1.4.3-1pclos2012
- process

* Sat Oct 06 2012 Ken <lxgator at gmail dot com> 1.4.3-1pclos2012
- 1.4.3
- remove pkg docs: (not working) added patch for online help docs
- add plugin missing patch 

* Sun Feb 12 2012 Neal <nealbrks0 at gmail dot com> 1.4.1-2pclos2012
- process

* Fri Feb 03 2012 TerryN <terryn at gmail.com> 1.4.1-2pclos2012
- add missing python-imaging dependency

* Mon Jan 30 2012 TerryN <terryn at gmail.com> 1.4.1-1pclos2012
- 1.4.1

* Sat Nov 12 2011 Texstar <texstar at gmail.com> 1.4.0-2pclos2011
- add missing dependencies

* Sat Sep 24 2011 Ertain <sirius-c at iname.com> 1.4.0-1pclos2011
- 1.4.0

* Mon Jul 11 2011 MBantz <martin dot bantz at gmail dot com> 1.3.0-2
- Rebuilt against updated x.264

* Mon Feb 14 2011 Ertain <Sirius-C at iname.com> 1.3.0-1pclos2010
- 1.3.0

* Wed Sep 22 2010 Ertain <Sirius-C at iname.com> 1.2.2-1pclos2010
- 1.2.2

* Sun Jul 18 2010 Texstar <texstar at gmail.com> 1.1.3-5pclos2010
- rebuild against updated ffmpeg

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 1.1.3-4pclos2010
- split doc files into separate package

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 1.1.3-3pclos2010
- add missing doc files


